> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/dictionarymd/get_dict_city_list_information.md).

# Get city list information

| HTTP method | Endpoint           |
| ----------- | ------------------ |
| **GET**     | **/v1/dict\_city** |

**Note: When you request this field, it will return you the targeted city information from the dictionary .**

## Path parameters <a href="#path-parameters-0" id="path-parameters-0"></a>

| Parameter  | Description             | Nullable |
| ---------- | ----------------------- | -------- |
| country    | name/id of the country. | No       |
| region\_id | id of the region        | Yes      |

Response body parameters

| Field       | Type           | Description                |
| ----------- | -------------- | -------------------------- |
| country\_id | string         | id of the country.         |
| region\_id  | string         | id of the region.          |
| dict\_city  | array\[string] | The country's urban areas. |
| id          | string         | id of the city             |
| city\_name  | string         | name of the city           |

## Example request <a href="#example-request" id="example-request"></a>

**Request GET** [http://{networkname}.api.offerslook.com/v1/dictcity?country=CN\&region\_id=634](http://{networkname}.api.offerslook.com/v1/dict_city?countrys=CN)

## Example response <a href="#example-response" id="example-response"></a>

```
{
    "code": 0,
    "message": "Success",
    "data": {
        "region_id": 634,
        "country_id": 48,
        "dict_city": [
            {
                "id": 97738,
                "city_name": "AOL"
            }
        ]
    }
}
```
